summaryrefslogtreecommitdiffstats
path: root/development/tofuenv
diff options
context:
space:
mode:
Diffstat (limited to 'development/tofuenv')
-rw-r--r--development/tofuenv/README1
-rw-r--r--development/tofuenv/slack-desc19
-rw-r--r--development/tofuenv/tofuenv.SlackBuild103
-rw-r--r--development/tofuenv/tofuenv.info10
4 files changed, 133 insertions, 0 deletions
diff --git a/development/tofuenv/README b/development/tofuenv/README
new file mode 100644
index 0000000000..8fafad6773
--- /dev/null
+++ b/development/tofuenv/README
@@ -0,0 +1 @@
+OpenTofu version manager
diff --git a/development/tofuenv/slack-desc b/development/tofuenv/slack-desc
new file mode 100644
index 0000000000..db221d42f3
--- /dev/null
+++ b/development/tofuenv/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tofuenv: tofuenv (OpenTofu version manager)
+tofuenv:
+tofuenv: OpenTofu version manager inspired by tfenv.
+tofuenv:
+tofuenv: https://github.com/tofuutils/tofuenv
+tofuenv:
+tofuenv:
+tofuenv:
+tofuenv:
+tofuenv:
+tofuenv:
diff --git a/development/tofuenv/tofuenv.SlackBuild b/development/tofuenv/tofuenv.SlackBuild
new file mode 100644
index 0000000000..1e5979e475
--- /dev/null
+++ b/development/tofuenv/tofuenv.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/bash
+
+# Slackware build script for tofuenv
+
+# Copyright 2024 Andrew Clemons, Tokyo Japan
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=tofuenv
+VERSION=${VERSION:-1.0.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/tofuenv/
+mv bin lib libexec share $PKG/usr/share/tofuenv/
+mkdir -p $PKG/usr/bin
+
+(
+ cd $PKG/usr/bin
+ ln -s ../share/tofuenv/bin/tofuenv .
+ ln -s ../share/tofuenv/bin/tofu .
+)
+
+(
+ cd $PKG/usr/share/tofuenv
+ ln -s ../../doc/$PRGNAM-$VERSION/CHANGELOG.md
+)
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# install versions in users home
+mkdir -p $PKG/etc/profile.d/
+cat << "EOF" > $PKG/etc/profile.d/tofuenv.csh
+#!/bin/csh
+
+setenv TOFUENV_CONFIG_DIR "${HOME}/.config/tofuenv"
+EOF
+
+cat << "EOF" > $PKG/etc/profile.d/tofuenv.sh
+#!/bin/sh
+
+export TOFUENV_CONFIG_DIR="${XDG_CONFIG_HOME:-$HOME/.config}/tofuenv"
+EOF
+
+chmod 0755 $PKG/etc/profile.d/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG.md LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/tofuenv/tofuenv.info b/development/tofuenv/tofuenv.info
new file mode 100644
index 0000000000..c048836192
--- /dev/null
+++ b/development/tofuenv/tofuenv.info
@@ -0,0 +1,10 @@
+PRGNAM="tofuenv"
+VERSION="1.0.6"
+HOMEPAGE="https://github.com/tofuutils/tofuenv"
+DOWNLOAD="https://github.com/tofuutils/tofuenv/archive/v1.0.6/tofuenv-1.0.6.tar.gz"
+MD5SUM="04cc8d00e2b7549ca397854a37e9c23c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrew Clemons"
+EMAIL="andrew.clemons@gmail.com"